> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledgersyncappv2.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh user historic transactions



## OpenAPI

````yaml /openapi-v2.json post /api/v2/transactions/refresh/historic
openapi: 3.1.0
info:
  title: LedgerSync V2 API
  version: '2.0'
servers:
  - url: https://ledgersyncappv2.com
    description: Production
  - url: https://staging.ledgersyncappv2.com
    description: Sandbox
security: []
tags:
  - name: account-api
    description: Account REST APIs
  - name: password-api
    description: Password REST APIs
  - name: transaction-api
    description: Transaction REST APIs
  - name: phone-verification-api
    description: Phone Verification REST APIs
  - name: employee-api
    description: Employee REST APIs
  - name: client-api
    description: Client REST APIs
  - name: check-api
    description: Check REST APIs
  - name: accounting-ai-api
    description: AI rule suggestion endpoints for external accounting integrations
  - name: institution-api
    description: Institution REST APIs
  - name: statement-api
    description: Statement REST APIs
  - name: authentication-api
    description: Auth REST APIs
paths:
  /api/v2/transactions/refresh/historic:
    post:
      tags:
        - transaction-api
      summary: Refresh user historic transactions
      operationId: refreshHistoricTransactions
      parameters:
        - name: Auth-Token
          in: header
          description: Authentication token provided during the authentication process
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTransactionRequest'
        required: true
      responses:
        '200':
          description: Historic transactions was successfully refreshed
          content:
            '*/*':
              schema:
                type: string
        '403':
          description: Failed to refresh historic transactions
          content:
            '*/*':
              schema:
                type: string
components:
  schemas:
    UpdateTransactionRequest:
      type: object
      properties:
        username:
          type: string
          minLength: 1
        accountsIds:
          type: array
          items:
            type: integer
            format: int64
          uniqueItems: true
        bankAccountId:
          type: integer
          format: int64
      required:
        - bankAccountId
        - username

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.